%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}
Name:           jVorbisEnc
Summary:        Pure Java Ogg Vorbis Encoder
Group:          System Environment/Libraries
Version:        0.1
Release:        4%{?dist}
License:        LGPLv2+
URL:            http://zbigniew.sudnik.org/app/vorbis/vorbis.html
Source0:        http://zbigniew.sudnik.org/app/vorbis/download/%{name}_src.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1.5
%if %{with_gcj}
BuildRequires:  java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif
Requires:       jpackage-utils
Requires:       java >= 1.5


%description
JVorbis is a music encoder, which compresses high quality audio format 
(44.1-48.0kHz, 16+ bit, polyphonic).

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c -n %{name}

%build
mkdir classes
%javac -d classes `find ./ -name \*.java`

%jar cf %{name}.jar -C classes .

%javadoc -d doc -public `find ./ -name \*.java`

%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 %{name}.jar \
        %{buildroot}%{_javadir}/%{name}-%{version}.jar

pushd %{buildroot}%{_javadir}
   for jar in *-%{version}*; do
      ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
   done
popd

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}

# Building of aot bits fail on ppc64. RHBZ #498351
%ifnarch ppc64
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
%{_bindir}/rebuild-gcj-db
fi
%endif
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar
%ifnarch ppc64
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 30 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.1-3
- License is LGPLv2+

* Wed Apr 29 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.1-2
- Disable building of aot bits on ppc64 (RHBZ #498351)

* Sat Mar 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.1-1
- Initial build for Fedora. SPEC file borrowed from SUSE.

* Mon Mar 19 2006 Toni Graffy <toni@links2linux.de> - 0.1a-0.pm.1
- First packaged release 0.1a
